<div
  class="full-width flex-column full-height"
  style="justify-content: space-evenly; overflow: hidden"
  [attr.data-test-dialog-id]="configuration.id"
>
  <div class="flex-fixed-size m-t-10 m-l-10 m-r-10">
    <sqtm-core-dialog-header>
      <span class="sqtm-core-prevent-selection font-dialog-title">{{
        configuration.titleKey | translate
      }}</span>
    </sqtm-core-dialog-header>
  </div>
  <nz-divider class="sqtm-core-dialog-divider"></nz-divider>
  <div class="full-height full-width p-10" style="overflow: hidden">
    @if (!configuration.samePerimeter) {
      <span
        class="not-same-perimeter"
        [attr.data-test-dialog-message]="'no-same-perimeter'"
        >{{
          'sqtm-core.search.generic.modify.milestone.warning' | translate
        }}</span
      >
    }
    <div class="m-10 flex-fixed-size" style="width: 200px">
      <sqtm-core-text-research-field
        (newResearchValue)="handleResearchInput($event)"
      ></sqtm-core-text-research-field>
    </div>
    <sqtm-core-grid></sqtm-core-grid>
  </div>
  <div style="justify-content: flex-end" class="flex-row flex-fixed-size m-8">
    <button
      [attr.data-test-dialog-button-id]="'confirm'"
      nz-button
      nzType="primary"
      (click)="confirm()"
    >
      {{ 'sqtm-core.generic.label.confirm' | translate }}
    </button>
    <button
      [attr.data-test-dialog-button-id]="'cancel'"
      style="margin-left: 5px"
      nz-button
      nzType="default"
      sqtmCoreDialogClose
    >
      {{ 'sqtm-core.generic.label.cancel' | translate }}
    </button>
  </div>
</div>
